script.hpp File Reference
`#include <iostream>`
`#include <iomanip>`
`#include <fstream>`
`#include <cstring>`
`#include <csignal>`

Go to the source code of this file.

## Classes

class | Gecode::Driver::CombinedStop
| Stop object based on nodes, failures, and time. More...
class | Gecode::Driver::GistEngine< Engine >
| Traits class for search engines. More...
class | Gecode::Driver::GistEngine< DFS< S > >
| Specialization for DFS. More...
class | Gecode::Driver::GistEngine< LDS< S > >
| Specialization for LDS. More...
class | Gecode::Driver::GistEngine< BAB< S > >
| Specialization for BAB. More...
class | Gecode::Driver::ScriptGetInfo< BaseSpace >
| Class to send solution information to CPProfiler for a script. More...
class | Gecode::Driver::EngineToMeta< T, E >
| Wrapper class to add engine template argument. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Driver
| Script commandline driver.

## Functions

void | Gecode::Driver::stop (Support::Timer &t, std::ostream &os)
| Get time since start of timer and print user friendly time information.
double | Gecode::Driver::am (double t[], unsigned int n)
| Compute arithmetic mean of n elements in t.
double | Gecode::Driver::dev (double t[], unsigned int n)
| Compute deviation of n elements in t.
template<class Options>
Search::Cutoff * | Gecode::Driver::createCutoff (const Options &o)
| Create cutoff object from options.